# Uses of Class
org.eclipse.jdt.core.dom.Initializer

Packages that use Initializer
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of Initializer in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return Initializer
Modifier and Type
Method
Description
`Initializer`
AST.`newInitializer()`
Creates an unparented initializer node owned by this AST, with an empty block.
Methods in org.eclipse.jdt.core.dom with parameters of type Initializer
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(Initializer node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(Initializer node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(Initializer node)`
Visits the given type-specific AST node.